import { ReactWidget } from '@jupyterlab/apputils';
import React from 'react';
export class ConfirmWidget extends ReactWidget {
    constructor(code) {
        super();
        this.code = code;
        this.addClass('jp-ReactWidget');
    }
    render() {
        return (React.createElement("div", { className: "assemble-featureSubmittedConfirm" },
            React.createElement("p", null,
                ' ',
                "The following feature would be submitted to the upstream Ballet project:",
                ' '),
            React.createElement("div", null,
                React.createElement("pre", null,
                    React.createElement("code", null, this.code)))));
    }
}
export class FeatureSubmittedOkayWidget extends ReactWidget {
    constructor(url) {
        super();
        this.url = url;
        this.addClass('jp-ReactWidget');
    }
    render() {
        return (React.createElement("div", { className: "assemble-featureSubmittedOkay" },
            React.createElement("p", null, " Your feature was submitted! "),
            React.createElement("br", null),
            React.createElement("p", null,
                ' ',
                "The associated pull request is visible at",
                ' ',
                React.createElement("a", { href: this.url, target: "_blank" }, this.url),
                ".",
                ' '),
            React.createElement("br", null),
            React.createElement("p", null, " Please do not submit this same feature more than once. ")));
    }
}
